package com.chelvc.cloud.vehicle.client.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class OrderRefundParam {
    /**
     * 订单id
     */
    @NotNull(message = "订单不能为空")
    private Long orderId;

    /**
     * 退款原因
     */
    private String reason;

    /**
     * 凭证图片，以逗号隔开
     */
    private String proofPics;
}
