package com.chelvc.cloud.vehicle.client.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class WithdrawParam implements Serializable {

    /**
     * 类型：1-用户；2-商家
     */
    private Integer type;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 商家id (用户提现不用传)
     */
    private Long merchantId;
}
