package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.client.dto.TeamDTO;
import com.chelvc.cloud.vehicle.client.dto.TeamDetailsDTO;
import com.chelvc.cloud.vehicle.server.entity.UserInvite;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

@Mapper
public interface UserInviteMapper extends BaseMapper<UserInvite> {
    List<TeamDetailsDTO> teamList(@Param("type") Integer type, @Param("pageNum") int pageNum,
                                              @Param("pageSize") int pageSize, @Param("userId") Long userId);

    TeamDTO teamTotalStatistics(@Param("type") Integer type, @Param("userId") Long userId,
                                @Param("midnight") LocalDateTime midnight, @Param("yesterdayMidnight") LocalDateTime yesterdayMidnight,
                                @Param("toMonth") LocalDateTime toMonth, @Param("lastMonth") LocalDateTime lastMonth);


    List<TeamDetailsDTO> inviteList(@Param("type") Integer type, @Param("pageNum") int pageNum,
                                  @Param("pageSize") int pageSize);

    TeamDTO inviteTotalStatistics(@Param("type") Integer type);
}
