package com.chelvc.cloud.vehicle.client.param;

import lombok.Data;

import java.util.Date;

/**
 * 用户提现认证资料
 */
@Data
public class UserAuthParam {

    /**
     * 真实姓名
     */
    private String userName;

    /**
     * 身份证正面照片
     */
    private String idCardFrontPhoto;

    /**
     * 身份证反面照片
     */
    private String idCardBackPhoto;

    /**
     * 身份证号
     */
    private String idCardNo;

    /**
     * 银行卡号
     */
    private String bankCardNo;

    /**
     * 电话
     */
    private String phone;

    /**
     * 身份证有效期开始时间
     */
    private Date idCardExpirationDateStart;

    /**
     * 身份证有效期
     */
    private Date idCardExpirationDate;
}
