package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.server.entity.MerchantAuth;
import com.chelvc.cloud.vehicle.server.entity.MerchantRelation;
import com.chelvc.cloud.vehicle.server.entity.UserAuth;

public interface MerchantRelationService {
    MerchantRelation queryByUserIdAndType(Long userId, Integer type);

    /**
     * 个体户开通子商户
     * @param merchantAuth
     */
    void registerMerchantId(MerchantAuth merchantAuth);

    /**
     * 个人开通子商户
     * @param userAuth
     */
    void registerMerchantId(UserAuth userAuth);

    int insert(Long userId, Integer type, String sxyMerchantId);
}
