package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.RegionMapper;
import com.chelvc.cloud.vehicle.server.entity.Region;
import com.chelvc.cloud.vehicle.server.service.RegionService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class RegionServiceImpl extends
        ServiceImpl<RegionMapper, Region> implements RegionService {

    @Override
    public String getRegionNameById(Integer id) {
        return baseMapper.getRegionNameById(id);
    }
}
